import stream from "node:stream";
import { OreillyHighlight } from "../OreillyHighlight";
/**
 * Parser to retrieve the highlights from a CSV file as an array.
 */
export declare class CsvSyncParser {
    /**
     * Parses the input CSV file and returns the highlights as an array.
     */
    parse(input: string | Buffer): OreillyHighlight[];
}
/**
 * Parser to retrieve the highlights from a CSV file using a callback.
 */
export declare class CsvCallbackParser {
    /**
     * Parses the input CSV file and returns the highlights as an array using a callback.
     */
    parse(input: string | Buffer, callback: (err: Error | null, records: OreillyHighlight[]) => void): void;
}
/**
 * A stream transformer to parse CSV data into OreillyHighlight objects.
 */
export declare class CsvStreamParser extends stream.Transform {
    private parser;
    constructor();
    _transform(chunk: any, encoding: BufferEncoding, callback: stream.TransformCallback): void;
    _flush(callback: stream.TransformCallback): void;
}
